Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.lifecycle
Interface IWidgetAdapter

public interface IWidgetAdapter

Instances of this interface provide RWT specific operations on widgets. They are used to preserve the state of a widget.

This interface is not intended to be implemented by clients.

Since:
  1.0

Method Summary
`String` `getId()` Returns the id that identifies the widget on the client.
`Object` `getPreserved(String propertyName)` Returns the preserved value for a specified key.
`boolean` `isInitialized()` Indicates whether this widget has been initialized already.
`void` `markDisposed(Widget widget)` Notifies the receiver that the given `widget` has beend disposed of.
`void` `preserve(String propertyName, Object value)` Preserves a specified value for a specified key.

Method Detail

### getId

    public String getId()

  Returns the id that identifies the widget on the client.

  Returns:
    the widget id

### isInitialized

    public boolean isInitialized()

  Indicates whether this widget has been initialized already. A widget is considered initialized when the response that creates and initializes the widget has been rendered.

  Returns:
    `true` if this widget has already been initialized, `false` otherwise

### preserve

    public void preserve(String propertyName,
                         Object value)

  Preserves a specified value for a specified key. Used to preserve values in the LCA method `preserveValues`.

  Parameters:
    `propertyName` - the key to map the preserved value to
    `value` - the value to preserve

### getPreserved

    public Object getPreserved(String propertyName)

  Returns the preserved value for a specified key.

  Parameters:
    `propertyName` - the key for the preserved value
  Returns:
    the preserved value or `null` if there is no value preserved for this key

### markDisposed

    public void markDisposed(Widget widget)

  Notifies the receiver that the given `widget` has beend disposed of.

  Parameters:
    `widget` - the widget that has been disposed of
  Since:
    1.2

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.